Bug 154095 - [patch] databases/evolution-data-server problem with kerberos
Summary: [patch] databases/evolution-data-server problem with kerberos
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-17 19:20 UTC by David Demelier
Modified: 2013-03-17 04:51 UTC (History)
0 users

See Also:


Attachments
evolutiondataserver.diff (880 bytes, patch)
2011-01-17 19:20 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2011-01-17 19:20:08 UTC
You need to enable the KNOB NO_KERBEROS to build evolution-data-server without kerberos support. Because there is already an option I propose to add an option and to remove the HEIMDAL support since it looks broken see:

camel-sasl-gssapi.c:157: warning: assignment makes pointer from integer without a cast
gmake[4]: *** [libcamel_provider_1_2_la-camel-sasl-gssapi.lo] Error 1
gmake[4]: Leaving directory `/usr/ports/databases/evolution-data-server/work/evolution-data-server-2.32.1/camel'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/databases/evolution-data-server/work/evolution-data-server-2.32.1/camel'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/ports/databases/evolution-data-server/work/evolution-data-server-2.32.1/camel'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/databases/evolution-data-server/work/evolution-data-server-2.32.1'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/databases/evolution-data-server.
*** Error code 1

Stop in /usr/ports/databases/evolution-data-server.

I propose the removal of HEIMDAL option and only the kerberos support :
Comment 1 Edwin Groothuis freebsd_committer 2011-01-17 19:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger freebsd_committer 2011-06-04 23:34:54 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2011-06-04 23:34:59 UTC
mezz        2011-06-04 22:34:45 UTC

  FreeBSD ports repository

  Modified files:
    databases/evolution-data-server Makefile 
  Log:
  Remove heimdal support because it doesn't build.
  
  PR:             ports/154095
  Submitted by:   David Demelier <demelier.david@gmail.com>
  
  Revision  Changes    Path
  1.82      +3 -9      ports/databases/evolution-data-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"